import 'package:fis_theme/theme.dart';
import 'package:flutter/material.dart';

class TuningParametersStyles {
  static final Color primaryColor = FTheme.ins.colorScheme.primary;
  static final TextStyle texytStyle = TextStyle(color: Colors.white);
  static final Color backgroundColor = Color.fromARGB(255, 21, 25, 27);

  ///常规装饰器
  static final normalBoxDecoration = BoxDecoration(
    borderRadius: BorderRadius.circular(8),
    boxShadow: [
      BoxShadow(
        color: Color(0xff000000).withOpacity(0.35), // 更深的阴影颜色
        offset: Offset(4, 4), // 横向偏移4个像素，纵向偏移4个像素
        blurRadius: 10, // 模糊半径
      ),
      BoxShadow(
        color: Color.fromARGB(255, 21, 25, 27).withOpacity(0.6), // 更深的内阴影颜色
        offset: Offset(-3, -3), // 横向偏移-3个像素，纵向偏移-3个像素（内阴影）
        blurRadius: 6, // 模糊半径
      ),
    ],
    gradient: LinearGradient(
      begin: Alignment.topLeft, // 设置渐变起点位置（从左上角开始）
      end: Alignment.bottomRight, // 设置渐变终点位置（到右下角结束）
      colors: [
        Color.fromRGBO(34, 39, 44, 1.0), // 更深的起始颜色
        Color.fromRGBO(28, 33, 38, 1.0), // 更深的终止颜色
      ],
    ),
  );

  ///选中项装饰器
  static final selectedBoxDecoration = BoxDecoration(
    borderRadius: BorderRadius.circular(8),
    boxShadow: [
      BoxShadow(
        color: Color(0xff000000).withOpacity(0.35), // 更深的阴影颜色
        offset: Offset(4, 4), // 横向偏移4个像素，纵向偏移4个像素
        blurRadius: 10, // 模糊半径
      ),
      BoxShadow(
        color: Color.fromARGB(255, 21, 25, 27).withOpacity(0.6), // 更深的内阴影颜色
        offset: Offset(-3, -3), // 横向偏移-3个像素，纵向偏移-3个像素（内阴影）
        blurRadius: 6, // 模糊半径
      ),
    ],
    gradient: LinearGradient(
      begin: Alignment.topLeft, // 设置渐变起点位置（从左上角开始）
      end: Alignment.bottomRight, // 设置渐变终点位置（到右下角结束）
      colors: [
        FTheme.ins.colorScheme.secondary,
        FTheme.ins.colorScheme.primary,
      ],
    ),
  );

  static final bottomBorderDecoration = BoxDecoration(
    color: Colors.transparent,
    border: Border(
      bottom: BorderSide(
        color: FTheme.ins.colorScheme.primary,
        width: 1,
      ),
    ),
  );

  static final unSelectedBottomBorderDecoration = BoxDecoration(
    color: Colors.transparent,
    border: Border(
      bottom: BorderSide(
        color: Colors.grey[400]!,
        width: 1,
      ),
    ),
  );

  static final transparentBorderDecoration = BoxDecoration(
    color: Colors.transparent,
  );
}
